Errors while compiling. Reload prevented.

i was trying to install react js in my system and also its dependency ,i used command line to do the following and installed the modules, when i started to install it was going good but when i used the command as npm start. The error message is as below


ERROR in ./main.js
Module build failed (from ./node_modules/babel-loader/lib/index.js):
Error: Cannot find module '@babel/core'
 babel-loader@8 requires Babel 7.x (the package '@babel/core'). If you'd like to use Babel 6.x ('babel-core'), you should install 'babel-loader@7'.
    at Function.Module._resolveFilename (module.js:547:15)
    at Function.Module._load (module.js:474:25)
    at Module.require (module.js:596:17)
    at require (internal/module.js:11:18)
    at Object.<anonymous> (D:\reactJs\node_modules\babel-loader\lib\index.js:10:11)
    at Module._compile (module.js:652:30)
    at Object.Module._extensions..js (module.js:663:10)
    at Module.load (module.js:565:32)
    at tryModuleLoad (module.js:505:12)
    at Function.Module._load (module.js:497:3)
Child html-webpack-plugin for "index.html":


When we navigate to chrome browser and try to open the following url of localhost and try to check the console , i am getting the following error

WDS] Errors while compiling. Reload prevented.



Solutions Tried:

 I ran the following command  npm install @babel/core --save



If you have any idea please share 

Comments